PKCS11H_LOG
pkcs11-helper core interface

pkcs11-helper log level. More...

## Macros

#define | PKCS11H_LOG_DEBUG2 5
#define | PKCS11H_LOG_DEBUG1 4
#define | PKCS11H_LOG_INFO 3
#define | PKCS11H_LOG_WARN 2
#define | PKCS11H_LOG_ERROR 1
#define | PKCS11H_LOG_QUIET 0

## Detailed Description

pkcs11-helper log level.

See also
  pkcs11h_setLogLevel().

## Macro Definition Documentation

## PKCS11H_LOG_DEBUG1

#define PKCS11H_LOG_DEBUG1 4

Important logic log.

## PKCS11H_LOG_DEBUG2

#define PKCS11H_LOG_DEBUG2 5

Most verbose log (entry/return).

## PKCS11H_LOG_ERROR

#define PKCS11H_LOG_ERROR 1

Error messages.

## PKCS11H_LOG_INFO

#define PKCS11H_LOG_INFO 3

Information messages.

## PKCS11H_LOG_QUIET

#define PKCS11H_LOG_QUIET 0

Used in order to turn off logging.

## PKCS11H_LOG_WARN

#define PKCS11H_LOG_WARN 2

Warning messages,

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |